package com.example.myapplication

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import com.example.myapplication.ui.theme.MyApplicationTheme




import androidx.appcompat.app.AppCompatActivity
import androidx.core.content.ContextCompat
import android.widget.Button
import android.widget.EditText
import android.widget.Toast
import com.google.android.material.snackbar.Snackbar

class LoginActivity : AppCompatActivity() {

    private lateinit var usernameEditText: EditText
    private lateinit var passwordEditText: EditText
    private lateinit var loginButton: Button

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)

        usernameEditText = findViewById(R.id.usernameEditText)
        passwordEditText = findViewById(R.id.passwordEditText)
        loginButton = findViewById(R.id.loginButton)

        loginButton.setOnClickListener {
            val username = usernameEditText.text.toString()
            val password = passwordEditText.text.toString()

            // Проверка логина и пароля
            if (validateCredentials(username, password)) {
                // Успешная авторизация
                val role = getRole(username)
                when (role) {
                    "admin" -> {
                        // Переход на экран админа
                        Toast.makeText(this, "Авторизация успешна! Вы - Администратор", Toast.LENGTH_SHORT).show()
                        // Замените эту строку на переход на соответствующий Activity
                        startActivity(Intent(this, AdminActivity::class.java))
                    }
                    "client" -> {
                        // Переход на экран клиента
                        Toast.makeText(this, "Авторизация успешна! Вы - Клиент", Toast.LENGTH_SHORT).show()
                        // Замените эту строку на переход на соответствующий Activity
                        startActivity(Intent(this, ClientActivity::class.java))
                    }
                    else -> {
                        // Неизвестная роль
                        showError("Неверный логин или пароль!")
                    }
                }
            } else {
                // Ошибка авторизации
                showError("Неверный логин или пароль!")
            }
        }
    }

    // Проверка логина и пароля (в реальном приложении данные должны храниться в базе данных)
    private fun validateCredentials(username: String, password: String): Boolean {
        // Используйте реальную логику проверки, например, сравнение с данными в базе
        return when (username) {
            "admin" -> password == "admin"
            "client" -> password == "client"
            else -> false
        }
    }

    // Определение роли пользователя
    private fun getRole(username: String): String {
        return when (username) {
            "admin" -> "admin"
            "client" -> "client"
            else -> "unknown"
        }
    }

    // Отображение сообщения об ошибке
    private fun showError(message: String) {
        Snackbar.make(findViewById(android.R.id.content), message, Snackbar.LENGTH_SHORT)
            .setBackgroundTint(ContextCompat.getColor(this, R.color.error))
            .show()
    }
}
